# =============================================================================== #
# xxx <>>> ES/PYTHON IMPORTS xxxxxxxxxx #
import es
import psyco
psyco.full()
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# xxxxxxxxxx # SAM IMPORTS # xxxxxxxxxx #
func = es.import_addon('sam/functions')
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# x # VARIABLES/DICTIONARIES/LISTS # xx #
MODULES = ['admins','pcontrol','monitor']
addons  = []
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# =============================================================================== #
# === <<<> LOAD <>>> ============================================================ #
# =============================================================================== #
def load():

	# LOAD MODULES
	for x in MODULES: es.load('sam/core/%s' % x)

# =============================================================================== #
# === <<<> UNLOAD <>>> ========================================================== #
# =============================================================================== #
def unload():

	# UNLOAD MODULES
	for x in MODULES: es.unload('sam/core/%s' % x)

	# POPUPS
	func.popupDelete('HOME')

# =============================================================================== #
# === <<<> MAIN BLOCKS <>>> ===================================================== #
# =============================================================================== #
def home(ID, SEND=True):
	if bool(func.cloud['newversion']): vLine = func.stripColors('%s\nUPDATE SYSTEM:\n%s\n%s' % (func.line,func.langCore('OUTDATED', {'newversion':func.cloud['newversion']}),func.line))
	else: vLine = func.line
	popup = func.easymenu(('HOME', homeSelect))
	popup.c_pagesep = vLine
	popup.settitle(func.header(func.langCommon('TITLE_HOME')))
	for x in sorted(MODULES, reverse=True): popup.addoption(x, func.langCommon('TITLE_%s' % x.upper()))
	monitor = es.import_addon('sam/core/monitor')
	for x in addons:
		try:
			if int(monitor.get(x, 'state')): popup.addoption(x, monitor.get(x, 'name'))
		except: pass
	if SEND: popup.send(ID)

# ------------------------------------------------------------------------------ #
def homeSelect(ID, OPTION, POPUP):
	if OPTION in MODULES:
		module = es.import_addon('sam/core/%s' % OPTION)
		module.page(ID)
	else:
		try:
			addon = es.import_addon('sam/addons/%s' % OPTION)
			addon.page(ID)
		except:
			func.hudhint(ID, func.langCore('MODULE_ERROR',{'module':OPTION.upper()}))
			home(ID)

# =============================================================================== #